Advanced Queries

post

/custom-actions/queries/<resourceName>

Request

Query Parameters
  • Indicates whether to use a saved query as a subquery. Accepts true or false. This parameter will not work if the saved query contains an ORDER BY clause.
Header Parameters
  • A header parameter that allows you to execute queries. Set the request header "Prefer" to "transient" to explicitly declare that the query should be executed.
Supported Media Types
Request Body - application/vnd.oracle.resource+json;type=query-def ()
Root Schema : schema
Type: object
Show Source
  • GID of a previously created saved query.The requirements are that the saved query exists, is associated with the resource data and contains a SQL syntax query string. The SELECT statement in the saved query must only select the primary key columns for the corresponding resource.
  • parameterValues
    A property map where the key is the position or name of the bind parameter.
  • q
Nested Schema : parameterValues
Type: object
A property map where the key is the position or name of the bind parameter.
Show Source
Nested Schema : q
Type: object
Show Source
  • Filter (a 'where'clause) to restrict the items returned in the collection. By default, no filtering is applied.
Back to Top

Response

Supported Media Types

200 Response

Success! A successful POST method returns a 200 status code.
Body ()
Root Schema : advancedQueryResponse
Type: object
Show Source
Nested Schema : items
Type: array
List of objects which match the advanced query.
Show Source
Back to Top